<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class: { 'jee-hidden': disableSubmit } }"
    @cancel="handleCancel"
    cancelText="关闭"
  >
    <bus-market-meal-coupons-used-verify
      @fatherLoadData="fatherLoadData"
      ref="modalMarketMealCouponsUsedVerifyModal"
    ></bus-market-meal-coupons-used-verify>
  </j-modal>
</template>

<script>
import BusMarketMealCouponsUsedVerify from "./BusMarketMealCouponsUsedVerify";
export default {
  name: "BusMarketCouponsCashUsedListModal",
  components: {
    BusMarketMealCouponsUsedVerify,
  },
  props: {
    couponsId: {
      type: String,
      default: "",
    },
  },
  data() {
    return {
      title: "",
      width: 1200,
      visible: false,
      disableSubmit: false,
      // eventId:'',
    };
  },
  methods: {
    fatherLoadData() {
      console.log(1)
      this.$emit("fatherLoadData");
    },
    add() {
      this.visible = true;
    },
    edit(record) {
      this.visible = true;
      this.$nextTick(() => {
        this.$refs.modalMarketMealCouponsUsedVerifyModal.edit(record);
      });
    },
    close() {
      this.$emit("close");
      this.visible = false;
    },
    handleOk() {
      this.$refs.modalMarketMealCouponsUsedVerifyModal.submitForm();
    },
    submitCallback() {
      this.$emit("ok");
      this.visible = false;
    },
    handleCancel() {
      this.close();
    },
  },
};
</script>